Subject: bug#72528: 29.2; ispell considers that entries in the private ispell

From: Uwe Brauer <[email-masked]>
Date: Thu, 08 Aug 2024 18:47:55 +0200

Hi

I have used ispell+flyspell for many years, and have also added words
not found in the ispell dictoionaries to my private lists, for example

.ispell_castellano

contains words like

acreditación

saved in UTF8.
That was never a problem.

now it is:

Steps to reprocuce the problem (provided you have a private wordlist in
UTF8)

1. emacs -Q
2. load the file containing
(setq  ispell-program-name "ispell")
(autoload 'flyspell-mode "flyspell" "On-the-fly spelling checking" t)
(add-hook 'LaTeX-mode-hook 'turn-on-flyspell)
  
(setq flyspell-issue-message-flag nil)
  
(add-hook 'message-mode-hook 'turn-on-flyspell)

  (defun turn-on-flyspell ()
    "Turn on FlySpell minor mode."
    (flyspell-mode t))
  
open a file:

%%  -*-coding: utf-8;ispell-local-dictionary: "castellano8";-*-

nacion

mark the region containing the word nacion, run ispell-region

the following error appears
Starting new Ispell process ispell with castellano8 dictionary...done
ispell-init-process: @(#) International Ispell Version 3.4.06 30 Oct 2023
Word 'zoonÃ³ticas' contains illegal characters

Word 'ZacarÃ­as' contains illegal characters

Word 'VÃ¡zquez' contains illegal characters

any idea what is the reason for this (new) behavior? Shall I save the
list in latin-1? (I did and the message disappears, but I am still
puzzled)

regards

Uwe Brauer 

In GNU Emacs 29.2 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.18.0, Xaw3d scroll bars) of 2024-07-15 built on Utnapischtim
Windowing system distributor 'The X.Org Foundation', version 11.0.12101011
System Description: Ubuntu 24.04 LTS

Configured using:
 'configure --prefix=/opt/emacs29 --with-x-toolkit=athena --without-pop
 --with-mailutils'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XAW3D XDBE XIM XINPUT2 XPM
LUCID ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: LaTeX

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/opt/emacs29/share/emacs/29.2/lisp/bind-key hides /opt/emacs29/share/emacs/29.2/lisp/use-package/bind-key
/opt/emacs29/share/emacs/29.2/lisp/image-dired hides /opt/emacs29/share/emacs/29.2/lisp/image/image-dired
/opt/emacs29/share/emacs/29.2/lisp/makesum hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/makesum
/opt/emacs29/share/emacs/29.2/lisp/net/quickurl hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/quickurl
/opt/emacs29/share/emacs/29.2/lisp/net/rlogin hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/rlogin
/opt/emacs29/share/emacs/29.2/lisp/emacs-lisp/autoload hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/autoload
/opt/emacs29/share/emacs/29.2/lisp/net/netrc hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/netrc
/opt/emacs29/share/emacs/29.2/lisp/mh-e/mh-compat hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/mh-compat
/opt/emacs29/share/emacs/29.2/lisp/thumbs hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/thumbs
/opt/emacs29/share/emacs/29.2/lisp/linum hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/linum
/opt/emacs29/share/emacs/29.2/lisp/url/url-dired hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/url-dired
/opt/emacs29/share/emacs/29.2/lisp/mail/uce hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/uce
/opt/emacs29/share/emacs/29.2/lisp/ps-def hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/ps-def
/opt/emacs29/share/emacs/29.2/lisp/vc/vc-mtn hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/vc-mtn
/opt/emacs29/share/emacs/29.2/lisp/url/url-about hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/url-about

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny rfc822
mml mml-sec password-cache epa derived epg rfc6068 epg-config gnus-util
time-date mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils display-line-numbers korea-util misearch
multi-isearch flyspell pp cl-extra cl-print byte-opt gv bytecomp
byte-compile ispell thingatpt help-fns radix-tree help-mode tex-mode
compile text-property-search shell subr-x pcomplete comint ansi-osc
ansi-color ring vc-dispatcher cl-seq vc-hg diff-mode easy-mmode
dired-aux cl-loaddefs cl-lib dired dired-loaddefs rmc iso-transl tooltip
cconv eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
elisp-mode mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
isearch easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
xinput2 x multi-tty make-network-process emacs)

Memory information:
((conses 16 187240 15983)
 (symbols 48 33586 2)
 (strings 32 78947 2428)
 (string-bytes 1 1461477)
 (vectors 16 23924)
 (vector-slots 8 1086420 211745)
 (floats 8 65 220)
 (intervals 56 1788 178)
 (buffers 984 22))